TransformationOptimiser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class TransformationOptimiser

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.reps.TransformationOptimiser

public class TransformationOptimiser
extends java.lang.Object

This class provides the functionalities to optimise a `TransformationPathway`, by using TML transformation optimisation techniques.

Author:
  Nerissa Tong (nnyt98@doc.ic.ac.uk)

Constructor Summary
`TransformationOptimiser()`

Method Summary
`static Transformation` | `getSimplifiedTransformation(Transformation t1, Transformation t2)`
`static boolean` | `isRedundant(Transformation t1, Transformation t2)`
`static boolean` | `isReorderable(TransformationPathway tp, Transformation t1, Transformation t2)`
`static boolean` | `isSimplifiable(Transformation t1, Transformation t2)`
`static TransformationPathway` | `optimisePathway(TransformationPathway tp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformationOptimiser

    public TransformationOptimiser()

Method Detail

### optimisePathway

    public static TransformationPathway optimisePathway(TransformationPathway tp)
                                                 throws IntegrityException

    `IntegrityException`

### isRedundant

    public static boolean isRedundant(Transformation t1,
                                      Transformation t2)
                               throws IntegrityException

    `IntegrityException`

### isSimplifiable

    public static boolean isSimplifiable(Transformation t1,
                                         Transformation t2)

### isReorderable

    public static boolean isReorderable(TransformationPathway tp,
                                        Transformation t1,
                                        Transformation t2)
                                 throws IntegrityException

    `IntegrityException`

### getSimplifiedTransformation

    public static Transformation getSimplifiedTransformation(Transformation t1,
                                                             Transformation t2)
                                                      throws NotFoundException

    `NotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD